Bug 536120 - (RHQ-504) Unify deployment workflow for deploy/re-deploy
Unify deployment workflow for deploy/re-deploy
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Inventory (Show other bugs)
1.0
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Improvement, Task
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 14:30 EDT by Jason Dobies
Modified: 2014-05-12 16:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-12 16:08:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Dobies 2008-05-19 14:30:00 EDT
RHQ 1.0 has a working implementation of this, however I'm not sure it's ideal. There are some areas I'd like to refine:
- Updating the package for a package-backed resource
- Relationship between resource creation and package deployment (with respect to auditing as came up in RHQ-490)
Comment 1 Joseph Marques 2008-07-19 22:39:05 EDT
jay, when would you like to review this?
Comment 2 Jason Dobies 2008-07-21 09:35:10 EDT
Future.
Comment 3 Red Hat Bugzilla 2009-11-10 16:10:41 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-504
This bug incorporates RHQ-490
Comment 4 Heiko W. Rupp 2010-08-10 11:52:03 EDT
Actually we can currently deploy ear/war resources on AS level and re-deploy newer versions of the ear/war there too. 
This is not possible for other types of resources, that need to go through the content subsystem.

Note You need to log in before you can comment on or make changes to this bug.